function vgfaInitIframes() {
	// Bail if iframes were already initiated
	if (typeof window.vgcaIsFrontendSession !== 'undefined' && window.vgcaIsFrontendSession) {
		return true;
	}
	window.vgcaIsFrontendSession = true;
	window.$iframeWrappers = jQuery('.vgca-iframe-wrapper ');
	$iframeWrappers.each(function () {
		var $iframeWrapper = jQuery(this);
		var $iframe = $iframeWrapper.find('iframe');
		var hash = window.location.hash;

		if ($iframe.data('forward-parameters') && hash) {
			$iframe.attr('src', $iframe.attr('src') + hash);
		}

		$iframe.data('lastPage', $iframe.contents().get(0).location.href);
		setInterval(function () {
			var currentPage = $iframe.contents().get(0).location.href;

			// If the user navigated to another admin page, update the iframe height
			if (currentPage !== $iframe.data('lastPage')) {
				$iframeWrappers.css('height', '');
				$iframe.css('height', '');
				$iframe.data('lastPage', currentPage);
			}

			// Prevent js errors when the admin page hasn't loaded yet
			try {
				var iframeHeight = $iframe.contents().height();
				$iframe.height(iframeHeight);
				$iframeWrapper.height(iframeHeight);
			} finally {

			}
		}, 1000);
	});
}


function vgfaGetVisibleAdminPage() {

	var $visibleBackendPage = jQuery('.vgca-iframe-wrapper iframe').filter(function () {
		return jQuery(this).is(':visible');
	}).first();

	return $visibleBackendPage;
}

jQuery(window).load(function () {
	vgfaInitIframes();
});

jQuery(document).ready(function () {
	var $quickSettings = jQuery('.vg-frontend-admin-quick-settings');

	if (!$quickSettings.length) {
		return true;
	}
	
	$quickSettings.find('.vgfa-read-more').next('.vgfa-required-capability').hide();
	$quickSettings.find('.vgfa-read-more').click( function(e){
		e.preventDefault();
		
		jQuery(this).next('.vgfa-required-capability').show();
	});

	var $saveButton = $quickSettings.find('button');
	$quickSettings.submit(function (e) {
		e.preventDefault();

		$saveButton.text($saveButton.data('saving-text'));

		jQuery.post(vgfa_data.wp_ajax_url, $quickSettings.serialize(), function (response) {
			if (response.success) {
				alert(response.data.message);
				window.location.href = response.data.new_url;
			}
		});
		return false;
	});

// Remove elements tool
	var $hideElements = $quickSettings.find('.hide-elements-trigger');
	var $hideElementsInput = $quickSettings.find('.hide-elements-input');
	$quickSettings.find('.show-elements-trigger').click(function (e) {
		e.preventDefault();

		var $visibleBackendPage = vgfaGetVisibleAdminPage();
		if (!$visibleBackendPage.length) {
			return true;
		}

		$visibleBackendPage[0].contentWindow.jQuery($hideElementsInput.val()).each(function () {
			jQuery(this).attr('style', 'display: initial !important');
		});

		$hideElementsInput.val('');
	});
	$hideElements.click(function (e) {
		e.preventDefault();

		var $visibleBackendPage = vgfaGetVisibleAdminPage();
		if (!$visibleBackendPage.length) {
			return true;
		}
		$visibleBackendPage[0].contentWindow.vgfaStartHideElementOutline();
		window.isHideElementOutlineActive = true;
	});

	jQuery('body').addClass('vg-frontend-admin-visible-quick-settings');
	var $toggle = jQuery('.vg-frontend-admin-quick-settings-toggle');
	$toggle.click(function (e) {
		e.preventDefault();

		if ($quickSettings.is(':visible')) {
			$quickSettings.hide();
			jQuery('body').removeClass('vg-frontend-admin-visible-quick-settings');
			$toggle.text('+');
			$toggle.css('left', '0');
			var $visibleBackendPage = vgfaGetVisibleAdminPage();
			if ($visibleBackendPage.length) {
				// Force to resize the iframe
				$visibleBackendPage.data('lastPage', 'xx');
			}
		} else {
			$quickSettings.show();
			jQuery('body').addClass('vg-frontend-admin-visible-quick-settings');
			$toggle.text('x');
			$toggle.css('left', '');
			var $visibleBackendPage = vgfaGetVisibleAdminPage();
			if ($visibleBackendPage.length) {
				// Force to resize the iframe
				$visibleBackendPage.data('lastPage', 'xx');
			}
		}
	});
});
